import {defineStore} from "pinia";
import {DictionaryStates} from "/@/stores/interface";
import {request} from "/@/utils/service";

// export const BtnPermissionStore = defineStore('BtnPermission', {
//     state: (): DictionaryStates => ({
//         data: []
//     }),
//     actions: {
//         async getBtnPermissionStore() {
//             request({
//                 url: '/api/system/menu_button/menu_button_all_permission/',
//                 method: 'get',
//             }).then((ret: {
//                 data: []
//             }) => {
//                 // 转换数据格式并保存到pinia
//                 let dataList = ret.data
//                 this.data=dataList
//             })
//         },
//     },
//     persist: {
//         enabled: true,
//     },
// });


export const BtnPermissionStore = defineStore('BtnPermission', () => {
    const data = ref<any[]>([]);

    const getBtnPermissionStore = async () => {
        try {
            const response = await request({
                url: '/api/system/menu_button/menu_button_all_permission/',
                method: 'get',
            });
            data.value = response.data;
        } catch (error) {
            console.error('Error fetching button permissions:', error);
        }
    };

    return {
        data,
        getBtnPermissionStore,
    };
});
